package com.lz.modules.flow.req;
import lombok.Data;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*流转关系表
* @author quyixiao
* @since 2020-08-18
*/


@Data
public class FlowDepartmentReq implements java.io.Serializable {
  
    private int page = 1;
    private int rows = 10;
    private String sort;
    private String order;
    //
    private Long id;
    //是否删除状态，1：删除，0：有效
    private Integer isDelete;
    //创建时间
    private Date gmtCreate;
    //最后修改时间
    private Date gmtModified;
    //
    private Long departmentId;
    //员工 id
    private Long taffId;
    //自己部门小伙伴 走的 流程id
    private Long childFlowId;
    //自己走的流程 id
    private Long selfFlowId;
    //部门级别
    private String departmentLevel;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     *  
     * @return
     */
    public Long getDepartmentId() {
        return departmentId;
    }
    /**
     *  
     * @param departmentId
     */
    public void setDepartmentId(Long departmentId) {
        this.departmentId = departmentId;
    }

    /**
     * 员工 id 
     * @return
     */
    public Long getTaffId() {
        return taffId;
    }
    /**
     * 员工 id 
     * @param taffId
     */
    public void setTaffId(Long taffId) {
        this.taffId = taffId;
    }

    /**
     * 自己部门小伙伴 走的 流程id 
     * @return
     */
    public Long getChildFlowId() {
        return childFlowId;
    }
    /**
     * 自己部门小伙伴 走的 流程id 
     * @param childFlowId
     */
    public void setChildFlowId(Long childFlowId) {
        this.childFlowId = childFlowId;
    }

    /**
     * 自己走的流程 id 
     * @return
     */
    public Long getSelfFlowId() {
        return selfFlowId;
    }
    /**
     * 自己走的流程 id 
     * @param selfFlowId
     */
    public void setSelfFlowId(Long selfFlowId) {
        this.selfFlowId = selfFlowId;
    }

    /**
     * 部门级别 
     * @return
     */
    public String getDepartmentLevel() {
        return departmentLevel;
    }
    /**
     * 部门级别 
     * @param departmentLevel
     */
    public void setDepartmentLevel(String departmentLevel) {
        this.departmentLevel = departmentLevel;
    }

    @Override
    public String toString() {
        return "FlowDepartment{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",departmentId=" + departmentId +
                ",taffId=" + taffId +
                ",childFlowId=" + childFlowId +
                ",selfFlowId=" + selfFlowId +
                ",departmentLevel=" + departmentLevel +
                "}";
    }
}